/**
 *Class Description:
 *
 */
package com.sinovatech.unicom.push.model;

import java.io.Serializable;
import java.util.Date;

/**
 * 消息
 * 
 * @author minghui.dai
 * 
 *         2012-8-9 下午5:28:20
 */
public class Message implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 消息ID
     */
    private String id;

    /**
     * 消息标题
     */
    private String title;

    /**
     * 消息内容
     */
    private String content;

    /**
     * 推送的URL
     */
    private String url;

    /**
     * 生效时间
     */
    private Date startTime;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 结束时间
     */
    private Date endTime;

    /**
     * 录入者ID
     */
    private String authorId;

    /**
     * 推送方式 0：立即推送 1：定时推送
     */
    private int sendType;

    /**
     * 推送范围 ： 0：全部推送 1 ：定向推送
     */
    private int sendScope;

    /**
     * 推送对象-受众（与推送范围结合使用，目前只是预留字段）：0：2G预付费用户
     * 
     * @return
     */
    private String audience;

	/**
	 * 0表示全用户推送 1表示单用户推送（私人消息）
	 */
	private String msgType;
	
    /**
     * 扩展节点
     */
    private Object extNode;

    public Object getExtNode() {
        return extNode;
    }

    public void setExtNode(Object extNode) {
        this.extNode = extNode;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public String getAuthorId() {
        return authorId;
    }

    public void setAuthorId(String authorId) {
        this.authorId = authorId;
    }

    public int getSendType() {
        return sendType;
    }

    public void setSendType(int sendType) {
        this.sendType = sendType;
    }

    public int getSendScope() {
        return sendScope;
    }

    public void setSendScope(int sendScope) {
        this.sendScope = sendScope;
    }

    public String getAudience() {
        return audience;
    }

    public void setAudience(String audience) {
        this.audience = audience;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

	public String getMsgType() {
		return msgType;
	}

	public void setMsgType(String msgType) {
		this.msgType = msgType;
	}

}
