package com.sinovatech.unicom.push.model;

/**
 * 用户资料
 * 
 */
public class UserInfo implements java.io.Serializable {
	private static final long serialVersionUID = 1L;
	private String userMobile; // 用户手机号码
	private String provinceCode;// 省份代码
	private String provinceName;// 省份名称
	private String cityCode;// 城市代码
	private String cityName;// 城市名称
	// 品牌标识： 1-世界风 2-如意通 3-新势力 4-新时空 5-联通商务 6-其他 7-亲情1 8-无线上网卡 9-沃 99-网站用户
	private String brand;
	private String openDate;// 入网时间；yyyymmddhh24miss
	private String billingType;// 计费类型
	private String vipLev;// VIP级别名称
	/**
	 * 01：2G 02：3G 03：固定电话 04：宽带（ADSL） 05：宽带（LAN） 06：小灵通 07：WLAN业务
	 */
	private String netType; // 网别
	/**
	 * 01：2G；02：3G；03：固定电话；04：宽（ADSL）；05：宽带（LAN）；06：小灵通；07：WLAN业务；08：融合；09：集团；10
	 * ：上网卡
	 **/
	private String userType; // 用户类型
	private String ocsflag = "1";// OCS用户标记，0为OCS用户，1为普通用户
	private String payType;// 付费类型，00为后付费，01为预付费
	private boolean woisflag = false; // 是否为沃家庭 true为沃家庭用户,false为非沃家庭用户
	private boolean familyNumber = false; // 是否为亲情号 true为亲情号,false为非亲情号

	/**
	 * @return the netType
	 */
	public String getNetType() {
		return netType;
	}

	/**
	 * @param netType
	 *            the netType to set
	 */
	public void setNetType(String netType) {
		this.netType = netType;
	}

	public String getBrand() {
		return brand;
	}

	public void setBrand(String brand) {
		this.brand = brand;
	}

	public String getUserMobile() {
		return userMobile;
	}

	public String getBillingType() {
		return billingType;
	}

	public void setUserMobile(String userMobile) {
		this.userMobile = userMobile;
	}

	public String getProvinceCode() {
		return provinceCode;
	}

	public void setProvinceCode(String provinceCode) {
		this.provinceCode = provinceCode;
	}

	public String getCityCode() {
		return cityCode;
	}

	public void setCityCode(String cityCode) {
		this.cityCode = cityCode;
	}

	public String getOpenDate() {
		return openDate;
	}

	public void setOpenDate(String openDate) {
		this.openDate = openDate;
	}

	public String getProvinceName() {
		return provinceName;
	}

	public void setProvinceName(String provinceName) {
		this.provinceName = provinceName;
	}

	public String getCityName() {
		return cityName;
	}

	public void setCityName(String cityName) {
		this.cityName = cityName;
	}

	public void setBillingType(String billingType) {
		this.billingType = billingType;
	}

	public String getVipLev() {
		return vipLev;
	}

	public void setVipLev(String vipLev) {
		this.vipLev = vipLev;
	}

	/**
	 * OCS用户标记，0为OCS用户，1为普通用户
	 * 
	 * @return
	 */
	public String getOcsflag() {
		return ocsflag;
	}

	/**
	 * OCS用户标记，0为OCS用户，1为普通用户
	 * 
	 * @param ocsflag
	 */
	public void setOcsflag(String ocsflag) {
		this.ocsflag = ocsflag;
	}

	/**
	 * 付费类型，2为后付费，1为预付费
	 * 
	 * @return
	 */
	public String getPayType() {
		return payType;
	}

	/**
	 * 付费类型，2为后付费，1为预付费
	 * 
	 * @param payType
	 */
	public void setPayType(String payType) {
		this.payType = payType;
	}

	public String getUserType() {
		return userType;
	}

	public void setUserType(String userType) {
		this.userType = userType;
	}

	/**
	 * 是否为沃家庭
	 * 
	 * @return 0是沃家庭,1非沃家庭
	 */
	public boolean getWoisflag() {
		return woisflag;
	}

	/**
	 * 是否为沃家庭
	 * 
	 * @param woisflag
	 *            0是沃家庭,1非沃家庭
	 */
	public void setWoisflag(boolean woisflag) {
		this.woisflag = woisflag;
	}

	/**
	 * 是否为亲情号
	 * 
	 * @return 0是亲情号,1非亲情号
	 */
	public boolean getFamilyNumber() {
		return familyNumber;
	}

	/**
	 * 是否为亲情号
	 * 
	 * @param familyNumber
	 *            0是亲情号,1非亲情号
	 */
	public void setFamilyNumber(boolean familyNumber) {
		this.familyNumber = familyNumber;
	}
}