/**
 *Class Description:
 *
 */
package com.sinovatech.unicom.push.request;

import java.util.List;

import com.sinovatech.unicom.push.model.Message;
import com.sinovatech.unicom.push.model.UserInfo;

/**
 * 请求体
 * 
 * @author minghui.dai
 * 
 *         2012-8-14 上午11:54:25
 */
public class ReqBody {

	/**
	 * 客户端设备标识
	 */
	private String deviceId;

	/**
	 * 客户端类型(android,iphone)
	 */
	private String clientType;
	/**
	 * 客户端版本号
	 */
	private String clientVersion;
	
	/**
	 * 安卓手机设备型号
	 */
	private String phoneModel;
	
	/**
	 * 安卓推送平台
	 */
	private String pushPlatform;
	
	/**
	 * 推送平台唯一标识
	 */
	private String platformToken;

	/**
	 * 停接收消息的状态 0:关闭,1:开启
	 */
	private String pushStatus;

	/**
	 * 接收消息的开始时间 格式 14:20
	 */
	private String beginPushTime;
	/**
	 * 接收消息的结束时间 格式 14:20
	 */
	private String endPushTime;

	private UserInfo userInfo;
	/**
	 * 扩展节点
	 */
	private Object extNode;

	/**
	 * 消息对象
	 */
	private List<Message> messages;

	public String getDeviceId() {
		return deviceId;
	}

	public void setDeviceId(String deviceId) {
		this.deviceId = deviceId;
	}

	public Object getExtNode() {
		return extNode;
	}

	public void setExtNode(Object extNode) {
		this.extNode = extNode;
	}

	public String toString() {
		return this.extNode + "#" + this.deviceId;
	}

	public String getClientType() {
		return clientType;
	}

	public void setClientType(String clientType) {
		this.clientType = clientType;
	}

	public String getClientVersion() {
		return clientVersion;
	}

	public void setClientVersion(String clientVersion) {
		this.clientVersion = clientVersion;
	}

	public UserInfo getUserInfo() {
		return userInfo;
	}

	public void setUserInfo(UserInfo userInfo) {
		this.userInfo = userInfo;
	}

	public List<Message> getMessages() {
		return messages;
	}

	public void setMessages(List<Message> messages) {
		this.messages = messages;
	}

	public String getPushStatus() {
		return pushStatus;
	}

	public void setPushStatus(String pushStatus) {
		this.pushStatus = pushStatus;
	}

	public String getBeginPushTime() {
		return beginPushTime;
	}

	public void setBeginPushTime(String beginPushTime) {
		this.beginPushTime = beginPushTime;
	}

	public String getEndPushTime() {
		return endPushTime;
	}

	public void setEndPushTime(String endPushTime) {
		this.endPushTime = endPushTime;
	}

	public String getPhoneModel() {
		return phoneModel;
	}

	public void setPhoneModel(String phoneModel) {
		this.phoneModel = phoneModel;
	}

	public String getPushPlatform() {
		return pushPlatform;
	}

	public void setPushPlatform(String pushPlatform) {
		this.pushPlatform = pushPlatform;
	}

	public String getPlatformToken() {
		return platformToken;
	}

	public void setPlatformToken(String platformToken) {
		this.platformToken = platformToken;
	}

}
