package com.sinovatech.unicom.push.utils;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.util.List;

import org.apache.http.HttpEntity;
import org.apache.http.HttpResponse;
import org.apache.http.NameValuePair;
import org.apache.http.client.HttpClient;
import org.apache.http.client.entity.UrlEncodedFormEntity;
import org.apache.http.client.methods.HttpPost;
import org.apache.http.impl.client.DefaultHttpClient;

/**
 * 
 * <br>
 * 
 * @author guohuaining
 * @Date: Apr 11, 2013 5:29:40 PM<br>
 * @version 1.0
 */
public class HttpClientCall {

	/**
	 * 
	 * Description:<br>
	 * 
	 * @param url
	 * @param formParams
	 */
	public static void callHttpPost(String url, List<NameValuePair> formParams) {
		/* 创建HttpClient实例 */
		HttpClient client = new DefaultHttpClient();

		/* 创建一个post方法 */
		HttpPost httpPost = new HttpPost(url); // 创建HttpPost

		/* 执行post方法 */
		try {
			if (formParams != null) {
				httpPost.setEntity(new UrlEncodedFormEntity(formParams, "UTF-8"));
			}
			// 执行POST请求
			HttpResponse response = client.execute(httpPost);
			// 获取响应实体
			HttpEntity entity = response.getEntity();
			// 处理响应数据
			InputStream is = entity.getContent();
			BufferedReader in = new BufferedReader(new InputStreamReader(is,
					"UTF-8"));
			StringBuffer buffer = new StringBuffer();
			String line = "";
			while ((line = in.readLine()) != null) {
				buffer.append(line);
			}
			System.out.println(" 接口返回:" + buffer.toString());

		} catch (IOException e) {
			System.out.println("Fatal transport error: " + e.getMessage());
			e.printStackTrace();

		} catch (Exception e) {
			System.out.println("Fatal transport error: " + e.getMessage());
			e.printStackTrace();

		} finally {
			/* Release the connection. */
			httpPost.releaseConnection();
		}
	}

	public static void main(String[] args) {
	}

}
